aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/nylon/nylon-scripts_cvs.bb
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /recipes/nylon/nylon-scripts_cvs.bb
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
downloadopenembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.gz
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.tar.bz2
openembedded-709c4d66e0b107ca606941b988bad717c0b45d9b.zip
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'recipes/nylon/nylon-scripts_cvs.bb')
-rw-r--r--recipes/nylon/nylon-scripts_cvs.bb59
1 files changed, 59 insertions, 0 deletions
diff --git a/recipes/nylon/nylon-scripts_cvs.bb b/recipes/nylon/nylon-scripts_cvs.bb
new file mode 100644
index 0000000000..650bd1a8e8
--- /dev/null
+++ b/recipes/nylon/nylon-scripts_cvs.bb
@@ -0,0 +1,59 @@
+DESCRIPTION = "This package provides the nylon specific init and configuration scripts."
+HOMEPAGE = "http://meshcube.org/meshwiki/NyLon"
+DEPENDS = "hostap-utils"
+SECTION = "base"
+PRIORITY = "optional"
+LICENSE = "GPLv2"
+SRCDATE = "20060923"
+PV = "1.0.0+cvs${SRCDATE}"
+PR = "r2"
+RDEPENDS = "bash"
+
+SRC_URI = "http://meshcube.org/download/${PN}_${SRCDATE}.tgz"
+S = "${WORKDIR}/${PN}"
+INHIBIT_PACKAGE_STRIP = "1"
+
+do_install() {
+ install -d -m 755 ${D}
+ (cd ${S}; tar -c --exclude .svn -f - . ) | tar -C ${D} -xpf -
+}
+
+pkg_postinst() {
+if test "x$D" != "x"; then
+ exit 1
+else
+ update-rc.d -s hostap defaults 14
+ update-rc.d -s firewall defaults 16
+ update-rc.d -s routing defaults 17
+ update-rc.d -s emergency-ip defaults 98
+ update-rc.d -s flash-backup start 38 S . stop 38 0 6 .
+ update-rc.d -s dummydate start 50 S . stop 50 0 6 .
+
+ if ! grep -q flash-backup /etc/cron/crontabs/root; then
+ echo "adding flash-backup crontab"
+ test -d /etc/cron/crontabs || mkdir -p /etc/cron/crontabs
+ echo "0 * * * * /etc/init.d/flash-backup backup" >> /etc/cron/crontabs/root
+ fi
+
+ if ! grep -q reset-wlan /etc/cron/crontabs/root; then
+ echo "adding reset-wlan crontab"
+ test -d /etc/cron/crontabs || mkdir -p /etc/cron/crontabs
+ echo "0 3 * * * /usr/sbin/reset-wlan" >> /etc/cron/crontabs/root
+ fi
+
+ update-rc.d -s busybox-cron defaults
+fi
+}
+
+pkg_postrm() {
+#!/bin/sh -e
+update-rc.d hostap remove
+update-rc.d firewall remove
+update-rc.d routing remove
+update-rc.d emergency-ip remove
+update-rc.d flash-backup remove
+update-rc.d dummydate remove
+}
+
+CONFFILES_${PN} = "/etc/nylon/backup.list /etc/nylon/hostap.conf /etc/nylon/check-process.list \
+ /etc/nylon/interfaces.conf /etc/nylon/route.list /etc/nylon/wds-bridge.conf"